JUCE: SettableTooltipClient Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
SettableTooltipClient Class Reference
juce_gui_basics » mouse

An implementation of TooltipClient that stores the tooltip string and a method for changing it. More...

`#include <juce_TooltipClient.h>`

Inheritance diagram for SettableTooltipClient:

## Public Member Functions
| ~SettableTooltipClient () override=default
| Destructor.
virtual void | setTooltip (const String &newTooltip)
| Assigns a new tooltip to this object.
String | getTooltip () override
| Returns the tooltip assigned to this object.
Public Member Functions inherited from TooltipClient
virtual | ~TooltipClient ()=default
| Destructor.

## Protected Member Functions
| SettableTooltipClient ()=default

## Detailed Description

An implementation of TooltipClient that stores the tooltip string and a method for changing it.

This makes it easy to add a tooltip to a custom component, by simply adding this as a base class and calling setTooltip().

Many of the JUCE widgets already use this as a base class to implement their tooltips. See the TooltipWindow docs for more information about implementing tooltips.

See also
  TooltipClient, TooltipWindow

## Constructor & Destructor Documentation

## ◆ ~SettableTooltipClient()

SettableTooltipClient::~SettableTooltipClient | ( |  | ) |
| overridedefault

Destructor.

## ◆ SettableTooltipClient()

SettableTooltipClient::SettableTooltipClient | ( |  | ) |
| protecteddefault

## Member Function Documentation

## ◆ setTooltip()

virtual void SettableTooltipClient::setTooltip | ( | const String & | newTooltip | ) |
| virtual

Assigns a new tooltip to this object.

Reimplemented in Button, FilenameComponent, and ComboBox.

## ◆ getTooltip()

String SettableTooltipClient::getTooltip | ( |  | ) |
| overridevirtual

Returns the tooltip assigned to this object.

Implements TooltipClient.

The documentation for this class was generated from the following file:

- juce_TooltipClient.h